summaryrefslogtreecommitdiffstats
path: root/234/regr/testcase
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2009-12-01 22:22:43 -0800
committerVijay Bellur <vijay@gluster.com>2010-01-26 21:11:31 +0530
commita4ea8d54f981d2a5beca215b78939a09f7f3f62a (patch)
treef63e3991c4c15f7bf7882ebb206ac50260849554 /234/regr/testcase
parent0da4ccb80b36394ac144b5ed7c6c0b3db3bc0566 (diff)
Regression testcase for bug 234
Signed-off-by: Vijay Bellur <vijay@gluster.com>
Diffstat (limited to '234/regr/testcase')
-rwxr-xr-x234/regr/testcase36
1 files changed, 36 insertions, 0 deletions
diff --git a/234/regr/testcase b/234/regr/testcase
new file mode 100755
index 0000000..96987b5
--- /dev/null
+++ b/234/regr/testcase
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+description="# opendir system call on a symbolic link to a directory fails"
+comments="# When opendir() system call is executed on a symbolic link to a directory, it gives an error"
+
+source ../../init
+
+start_glusterfs --no-clients
+
+sleep 5
+
+gcc $SPECDIR/open_dir.c -o $SPECDIR/opendir
+
+mkdir $EXPORTDIR/export1/imp/
+ln -s $EXPORTDIR/export1/imp/ $EXPORTDIR/export1/link
+
+echo "$SPECDIR/client1.vol $MOUNTDIR/client1 glusterfs subvolume=client,logfile=$LOGDIR/clog,loglevel=DEBUG" > $SPECDIR/booster.conf
+export GLUSTERFS_BOOSTER_FSTAB=$SPECDIR/booster.conf
+export LD_PRELOAD=$(dirname $GLUSTERFSDIR)/lib/glusterfs/glusterfs-booster.so
+
+$SPECDIR/opendir $MOUNTDIR/client1/imp
+$SPECDIR/opendir $MOUNTDIR/client1/link
+
+if [ $? -ne 0 ]; then
+ not_ok $description
+ comment $comments
+else
+ ok $description
+ comment $comments
+fi
+
+rm $SPECDIR/opendir $SPECDIR/booster.conf
+GLUSTERFS_BOOSTER_FSTAB=
+LD_PRELOAD=
+
+cleanup_glusterfs \ No newline at end of file